public class Dll {
	public native int init(int tabletID, String dev);

	public native int deinit();

	public native int getData(int componenID, int dataID, int index);

	public native int setData(int componenID, int dataID, int value, int index);

	boolean sim = false;
	
	int id = 5;
	
	static {
		try {
//			System.load("D:\\git\\aibotix\\src\\MessageManagerDll2\\Java\\libMessageManagerDll.dll");
			System.loadLibrary("libMessageManagerDll");
		} catch (UnsatisfiedLinkError e) {
			System.err.println("[JavaDLL] Native code library failed to load.\n" + e);
			System.exit(1);
		}
		System.out.println("[JavaDLL] load ok");

	}

	public int getDCMRoll() {
		if (sim) {
			return 287 + (int)(Math.random()*100);
		} 

		return getData(id, 17, 0);
	}

	public int getDCMNick() {
		if (sim) {
			return -473 + (int)(Math.random()*100);
		} 
		
		return getData(id, 16, 0);
	}
	
	public void setCamRoll(int value) {
		if (sim) return;
		int ret = setData(id, 54, value, 0);
		if (ret == 0) {
//			System.out.println("[JavaDLL] setCamRoll ok"); //debug
		} else {
			System.out.println("[JavaDLL] setCamRoll ERROR " + ret);
		}
	}

	public void setCamNick(int value) {
		if (sim) return;
		int ret = setData(id, 54, value, 1);
		if (ret == 0) {
//			System.out.println("setCamNick ok"); //debug
		} else {
			System.out.println("[JavaDLL] setCamNick ERROR " + ret);
		}
	}
	
	public int initSim() {
		sim = true;
		
		return 0;
	}
	
	public int getACCx() {
		if (sim) {
			return -473 + (int)(Math.random()*100);
		} 
		
		return getData(id, 3, 0);
	}
	
	public int getACCy() {
		if (sim) {
			return -473 + (int)(Math.random()*100);
		} 
		
		return getData(id, 4, 0);
	}
	
	public int getACCz() {
		if (sim) {
			return -473 + (int)(Math.random()*100);
		} 
		
		return getData(id, 5, 0);
	}
	
	public int getGYROx() {
		if (sim) {
			return -473 + (int)(Math.random()*100);
		} 
		
		return getData(id, 6, 0);
	}
	
	public int getGYROy() {
		if (sim) {
			return -473 + (int)(Math.random()*100);
		} 
		
		return getData(id, 7, 0);
	}
	
	public int getGYROz() {
		if (sim) {
			return -473 + (int)(Math.random()*100);
		} 
		
		return getData(id, 8, 0);
	}
	
	public int getMAGx() {
		if (sim) {
			return -473 + (int)(Math.random()*100);
		} 
		
		return getData(id, 9, 0);
	}
	
	public int getMAGy() {
		if (sim) {
			return -473 + (int)(Math.random()*100);
		} 
		
		return getData(id, 10, 0);
	}
	
	public int getMAGz() {
		if (sim) {
			return -473 + (int)(Math.random()*100);
		} 
		
		return getData(id, 11, 0);
	}
	
	public int getDCMYaw() {
		if (sim) {
			return 287 + (int)(Math.random()*100);
		} 

		return getData(id, 15, 0);
	}




}
