public class Main {

	public static void main(String[] args) {
		Dll dll = new Dll();
		System.out.println("[Main] DLL ok");

		String dev = "com65";

		int ret;

		ret = dll.init(1, dev);
		// ret = dll.initSim();
		if (ret == 0) {
			System.out.println("[Main] Dll init ok");
		} else {
			System.out.println("[Main] Dll init ERROR " + ret);
			return;
		}

		// wait for AibotixMessageSystem
		try {
			Thread.currentThread();
			Thread.sleep(3000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}

		double DCMNick = 0, DCMRoll = 0;
		int DCMYaw;
		int ACCx, ACCy, ACCz;
		int GYROx, GYROy, GYROz;
		int MAGx, MAGy, MAGz;

		int nick = 0, roll = 0;

		for (int i = 0; i < 3000; ++i) {
			// read Nickangle
			DCMNick = dll.getDCMNick();
			// System.out.println("[Main] get DCMNick " + DCMNick);

			// nick = (int)(3970 + (DCMNick) * 0.3);
			// nick = 3440; //set fix value
			// dll.setCamNick(nick);
			// System.out.println("[Main] set nick " + nick);

			// read Rollangle
			DCMRoll = dll.getDCMRoll();
			// System.out.println("[Main] get DCMRoll " + DCMRoll);

			// roll = (int)(2700 + (DCMRoll) * 0.3);
			// roll = 2500; //set fix value
			// dll.setCamRoll(roll);
			// System.out.println("[Main] set roll " + roll);

			ACCx = dll.getACCx();
			ACCy = dll.getACCy();
			ACCz = dll.getACCz();
			GYROx = dll.getGYROx();
			GYROy = dll.getGYROy();
			GYROz = dll.getGYROz();
			MAGx = dll.getMAGx();
			MAGy = dll.getMAGy();
			MAGz = dll.getMAGz();
			DCMYaw = dll.getDCMYaw();
			System.out.println("[Main] RawSensorData ACC(" + ACCx + ", " + ACCy + ", " + ACCz + ") \tGYRO(" + GYROx + ", " + GYROy + ", "+ GYROz + ") \tMAG(" + MAGx + ", " + MAGy + ", "+ MAGz + ") \tDCM(" + DCMYaw + ", " + DCMNick + ", "
					+ DCMRoll + ")");

			try {
				Thread.currentThread();
				Thread.sleep(33);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}

		}

		System.out.println("[Main] Shutdown...");

		try {
			Thread.currentThread();
			Thread.sleep(1000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}

		ret = dll.deinit();
		if (ret == 0) {
			System.out.println("[Main] Dll deinit ok");
		} else {
			System.out.println("[Main] Dll deinit ERROR " + ret);
		}

	}

}
